LogLevel
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jcuda
Enum LogLevel

    java.lang.Object
      java.lang.Enum<LogLevel>
          jcuda.LogLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogLevel>

    public enum LogLevel

extends java.lang.Enum<LogLevel>

The log levels which may be used to control the internal logging of the JCuda libraries

Enum Constant Summary
`LOG_DEBUG` Print debug information
`LOG_DEBUGTRACE` Print fine-grained debug information
`LOG_ERROR` Only print error messages
`LOG_INFO` Print info messages
`LOG_QUIET` Never print anything
`LOG_TRACE` Trace function calls
`LOG_WARNING` Print warnings

Method Summary
`static LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOG_QUIET

    public static final LogLevel LOG_QUIET

  Never print anything

### LOG_ERROR

    public static final LogLevel LOG_ERROR

  Only print error messages

### LOG_WARNING

    public static final LogLevel LOG_WARNING

  Print warnings

### LOG_INFO

    public static final LogLevel LOG_INFO

  Print info messages

### LOG_DEBUG

    public static final LogLevel LOG_DEBUG

  Print debug information

### LOG_TRACE

    public static final LogLevel LOG_TRACE

  Trace function calls

### LOG_DEBUGTRACE

    public static final LogLevel LOG_DEBUGTRACE

  Print fine-grained debug information

Method Detail

### values

    public static LogLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LogLevel c : LogLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LogLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD